package com.diagbot.facade;

import com.diagbot.repository.BaseNodeRepository;
import com.google.common.collect.Lists;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/1/12 16:18
 */
@Component
public class DrugTypeFacade {
    @Autowired
    private BaseNodeRepository baseNodeRepository;

    public Map<String, List<String>> getDrugTypeMap() {
        List<String> medClass = Lists.newArrayList();
        Map<String, List<String>> medClassMap = new HashMap<>();

        List<String> medHuaXueClass = baseNodeRepository.getMedHuaXueClass();
        List<String> medJiePouClass = baseNodeRepository.getMedJiePouClass();
        List<String> medYaoLiClass = baseNodeRepository.getMedYaoLiClass();
        List<String> medZhiLiaoClass = baseNodeRepository.getMedZhiLiaoClass();

        medClass.addAll(medHuaXueClass);
        medClass.addAll(medJiePouClass);
        medClass.addAll(medYaoLiClass);
        medClass.addAll(medZhiLiaoClass);

        for (String medcls : medClass) {
            String[] spres = medcls.split("::");
            String med_type = spres[1];
            String med_name = spres[0];

            if (medClassMap.get(med_type) == null) {
                medClassMap.put(med_type, new ArrayList<>());
            }
            if (medClassMap.get(med_type).indexOf(med_name) == -1) {
                medClassMap.get(med_type).add(med_name);
            }
        }

        return medClassMap;
    }

}
